var five = require("../lib/johnny-five.js"),
    board, accel, arm, array, claw, joystick, wrist;

board = new five.Board();

board.on("ready", function() {

  accel = new five.Accelerometer({
    pins: [ "A3", "A4", "A5" ],
    freq: 250
  });

  arm = five.Servo({
    pin: 6,
    // Limit this servo to 170°
    range: [ 10, 170 ]
  });

  claw = five.Servo({
    pin: 10,
    range: [ 10, 170 ]
  });

  wrist = five.Servo({
    pin: 9,
    range: [ 10, 170 ]
  });


  array = new five.Servos();

  board.repl.inject({
    array: array,
    arm: arm,
    wrist: wrist,
    claw: claw
  });


  // array.center();

  joystick = new five.Joystick({
    pins: [ "A0", "A1" ],
    freq: 250
  });


  joystick.on("axismove", function() {
    // Open/close the claw by setting degrees according
    // to Y position of joystick.
    // limit to 170 on medium servos (ei. the servo used on the claw)
    claw.move( Math.ceil(170 * this.fixed.y) );
  });

  // accel.on("acceleration", function( err, timestamp ) {

  //   wrist.move( Math.ceil(170 * this.pitch.toFixed(2)) );
  //   // arm.move( Math.abs( Math.ceil(170 * this.pitch.toFixed(2)) - 180 ) );
  //   // wrist.move( Math.ceil(170 * this.roll.toFixed(2)) );
  // });
});
